/*
 * Copyright (c) 2010 David McIntosh <dmcintosh@df12.net>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#define _XOPEN_SOURCE 500

#import <AppKit/AppKit.h>
#import <Renaissance/Renaissance.h>
#import "util.h"
#import "GanttView.h"
#import "GanttController.h"
#import "GanttTask.h"
#import "GanttInspectorController.h"

@interface MyDelegate : NSObject
{
}
- (void) applicationDidFinishLaunching: (NSNotification *)not;
@end

@implementation MyDelegate : NSObject 

- (void) applicationDidFinishLaunching: (NSNotification *)not;
{
}

- (void) dealloc
{
    [super dealloc];
}

@end

int main (int argc, const char **argv)
{ 
    CREATE_AUTORELEASE_POOL (pool);
    [NSApplication sharedApplication];
    MyDelegate *delegate = [MyDelegate new];
    [NSApp setDelegate: delegate];

    [NSBundle loadGSMarkupNamed: @"MainMenu-GNUstep"  owner: delegate ];

    RELEASE (pool);
    return NSApplicationMain (argc, argv);
}
